linux-lowlatency: 3.2.0-67.70 -proposed tracker

Bug #1338871 reported by Brad Figg on 2014-07-08
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Unassigned
Certification-testing
Medium
Unassigned
Prepare-package
Medium
Kaj Ailomaa
Prepare-package-meta
Medium
Kaj Ailomaa
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Kaj Ailomaa
Security-signoff
Medium
Unassigned
Upload-to-ppa-dnu
Medium
Adam Conrad
Verification-testing
Medium
Unassigned
linux-lowlatency (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned

Bug Description

This bug is for tracking the <version to be filled> upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 08. July 2014 04:10 UTC
kernel-stable-master-bug:1338654
kernel-stable-Certification-testing-end:Tuesday, 08. July 2014 08:05 UTC
kernel-stable-Security-signoff-end:Tuesday, 08. July 2014 08:05 UTC
kernel-stable-Prepare-package-end:Wednesday, 09. July 2014 19:03 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 09. July 2014 19:03 UTC
ppa-package-testing-start:Wednesday, 09. July 2014 19:03 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 09. July 2014 19:07 UTC
kernel-stable-Verification-testing-start:Wednesday, 09. July 2014 21:03 UTC
kernel-stable-Regression-testing-start:Wednesday, 09. July 2014 21:03 UTC
kernel-stable-Verification-testing-end:Wednesday, 09. July 2014 22:04 UTC
kernel-stable-Regression-testing-end:Friday, 11. July 2014 16:03 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 16. July 2014 20:03 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 16. July 2014 21:08 UTC

This tracking bug was opened to be worked from linux-3.2.0-67.100 update (bug 1338654)

tags: added: kernel-release-tracking-bug
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-lowlatency (Ubuntu):
importance: Undecided → Medium
Changed in linux-lowlatency (Ubuntu Precise):
importance: Undecided → Medium
Kaj Ailomaa (zequence) on 2014-07-08
summary: - linux-lowlatency: <version to be filled> -proposed tracker
+ linux-lowlatency: 3.2.0-67.69 -proposed tracker
Brad Figg (brad-figg) on 2014-07-08
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Brad Figg (brad-figg) on 2014-07-09
description: updated
Adam Conrad (adconrad) on 2014-07-09
Changed in linux-lowlatency (Ubuntu):
status: New → Invalid
Brad Figg (brad-figg) on 2014-07-09
description: updated
Adam Conrad (adconrad) wrote :

No flavour-specific bugs to verify.

Brad Figg (brad-figg) on 2014-07-09
description: updated

The regression-testing task was set to Fix Released but neither the qa-testing-passed or qa-testing-failed tag was applied

Changed in kernel-sru-workflow:
status: In Progress → Incomplete
description: updated
Adam Conrad (adconrad) on 2014-07-11
tags: added: qa-testing-passed
Changed in kernel-sru-workflow:
status: Incomplete → In Progress
Brad Figg (brad-figg) on 2014-07-11
description: updated
Luis Henriques (henrix) on 2014-07-16
summary: - linux-lowlatency: 3.2.0-67.69 -proposed tracker
+ linux-lowlatency: 3.2.0-67.70 -proposed tracker
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-lowlatency - 3.2.0-67.70

---------------
linux-lowlatency (3.2.0-67.70) precise; urgency=low

  [ Andy Whitcroft ]

  * pull in missing CVE changelog
  * rebase to Ubuntu-3.2.0-67.101

  [ Ubuntu: 3.2.0-67.101 ]

  * l2tp: Privilege escalation in ppp over l2tp sockets
    - LP: #1341472
    - CVE-2014-4943

linux-lowlatency (3.2.0-67.69) precise-proposed; urgency=low

  [ Kaj Ailomaa ]

  * rebase to Ubuntu-3.2.0-67.100
  * Release Tracking Bug
    - LP: #1338871

  [ Ubuntu: 3.2.0-67.100 ]

  * Merged back Ubuntu-3.2.0-65.99 security release
  * Revert "x86_64,ptrace: Enforce RIP <= TASK_SIZE_MAX (CVE-2014-4699)"
    - LP: #1337339
  * Release Tracking Bug
    - LP: #1338654
  * ptrace,x86: force IRET path after a ptrace_stop()
    - LP: #1337339
    - CVE-2014-4699

linux-lowlatency (3.2.0-66.68) precise-proposed; urgency=low

  [ Kaj Ailomaa ]

  * rebase to Ubuntu-3.2.0-66.99
  * Release Tracking Bug
    - LP: #1336145

  [ Ubuntu: 3.2.0-66.99 ]

  * Release Tracking Bug
    - LP: #1335906
  * skbuff: export skb_copy_ubufs
    - LP: #1298119
    - CVE-2014-0131
  * skbuff: add an api to orphan frags
    - LP: #1298119
    - CVE-2014-0131
  * skbuff: skb_segment: orphan frags before copying
    - LP: #1298119
    - CVE-2014-0131
  * lib/lzo: Rename lzo1x_decompress.c to lzo1x_decompress_safe.c
    - CVE-2014-4608
  * lib/lzo: Update LZO compression to current upstream version
    - CVE-2014-4608
  * lzo: properly check for overruns
    - CVE-2014-4608
  * KVM: x86 emulator: add support for vector alignment
    - LP: #1330177
  * KVM: x86: emulate movdqa
    - LP: #1330177
 -- Andy Whitcroft <email address hidden> Mon, 14 Jul 2014 17:18:25 +0100

Changed in linux-lowlatency (Ubuntu Precise):
status: New → Fix Released
Brad Figg (brad-figg) on 2014-07-16
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers